Bug 116015 - Disk Druid fails to recognize partition table
Disk Druid fails to recognize partition table
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-02-17 12:10 EST by Scott Tomer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 21:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Partition Table from dd (512 bytes, application/octet-stream)
2004-02-18 11:41 EST, Scott Tomer
no flags Details

  None (edit)
Description Scott Tomer 2004-02-17 12:10:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)

Description of problem:
I am trying to install Fedora Core2 Test1 on my Dell Inspiron 5150
Notebook.  The disk was partitioned some time ago using Partition
Magic.  I then kept the XP Pro installation were it was on the resized
partition and successfully installed Mandrake Linux 9.2.

I am now trying to replace that mandrake installation with Fedora. 
However, after the installer tests the CD's successfully, it fails to
recognize the partition table and hence will not start disk druid and
the installation exits.

Also, the install did not probe for a suitable monitor (laptop
display) and I had to do the install using "text".  But, that is
another bug and I will enter it as well.

Thanks for all your hard work.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot from CD
2.Test CD's
3.Select Disk Druid so that I can use my existing partitions.


Actual Results:  It fails and exits Install.  The exact error is that
it cannot recognize my partition table.

Expected Results:  I should be able to select my existing linux
partitions, re-format them and install.

Additional info:
Comment 1 Jeremy Katz 2004-02-17 12:22:25 EST
Can you switch to tty2 and get the output of fdisk -l and parted on
your drive?
Comment 2 Scott Tomer 2004-02-17 13:15:47 EST
fdisk -l output:
Disk /dev/hdc : 60 GB
255 heads, 63 sectors/track, 7296 cylinders
units = cyliders of 16065 * 512 = 8225280

Device        Start  End  ID  System
/dev/hdc1     1      4    de  Dell Utility
/dev/hdc2     5      2179 7   HPFS/NTFS
/dev/hdc3     2180   7296 f   W95 Ext'd LBA
/dev/hdc4     6515   7263 83  Linux
/dev/hdc5     2180   2443 7   HPFS/NTFS
/dev/hdc6     2444   2571 7   HPFS/NTFS
/dev/hdc7     2572   6514 7   HPFS/NTFS
/dev/hdc8     7264   7296 82  Linux Swap

parted output:
Floating point exception
Comment 3 Jeremy Katz 2004-02-17 15:55:13 EST
Ugh, okay can you attach the partition table here.  dd if=/dev/hdc
of=somefile bs=512 count=1
Comment 4 Scott Tomer 2004-02-18 11:41:37 EST
Created attachment 97803 [details]
Partition Table from dd

Partition table from "dd if=/dev/hdc of=parttable bs=512 count=1"
Comment 5 Jeremy Katz 2004-09-22 15:01:07 EDT
Is this happier with FC3 test 2?
Comment 6 Scott Tomer 2004-09-22 15:48:23 EDT
I am sad to say that I have changed jobs and no longer have access to
the machine that I was having this problem with.  So, I have no way of
verifying either way if FC3 test 2 fixes it or not.

Note You need to log in before you can comment on or make changes to this bug.